CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [pilihan]

Pelbagai antaramuka baris perintah yang berguna untuk menyahpepijat calibre. Dengan tanpa pilihan, perintah ini bermula dengan pentafsir Python terbenam. Anda juga boleh jalankan GUI calibre utama, pelihat calibre dan penyunting calibre dalam mod nyahpepijat.

Ia juga mengandungi antaramuka kepada pelbagai bit calibre yang tidak memilik baris perintah tertentu, seperti subsetting fon, alat diff e-buku dan sebagainya.

Anda juga boleh guna calibre-debug untuk menjalankan skrip berdiri-sendiri. Untuk melakukannya adalah seperti berikut: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Segalanya selepas tanda -- dilepasi ke dalam skrip.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[PILIHAN]

--add-simple-plugin
    Tambah pemalam mudah (iaitu pemalam yang mengandungi fail .py sahaja), dengan menyatakan laluan ke fail py yang mengandungi kod pemalam.

--command, -c
    Jalankan kod Python.

--debug-device-driver, -d
    Nyahpepijat pengesanan peranti

--default-programs
    (Nyah)daftar calibre dari Program Lalai Windows. --default-programs = (register|unregister)

--diff
    Jalankan alat diff calibre. Contohnya: calibre-debug --diff file1 file2

--edit-book, -t
    Lancarkan alat "Sunting buku" dalam mod nyahpepijat.

--exec-file, -e
    Jalankan kod Python dalam fail.

--explode-book, -x
    Pecahkan buku ke direktori yang dinyatakan. Penggunaan: -x file.epub output_dir Eksport buku sebagai satu koleksi fail dan data meta HTML, yang anda boleh sunting menggunakan alat penyuntingan HTML piawai. Berfungsi baik dengan fail EPUB, AZW3, HTMLZ dan DOCX.

--export-all-calibre-data
    Eksport semua data calibre (buku/tetapan/pemalam). Biasanya, anda akan ditanya untuk mengeksport dir dan juga pustaka. Anda juga boleh tentukan ia sebagai argumen baris perintah untuk melangkau soalan. Guna laluan mutlak untuk eksport direktori dan pustaka. Kata kunci khas "all" boleh digunakan untuk mengeksport semua pustaka.

--gui, -g
    Jalankan GUI dengan penyahpepijatan dibenarkan. Output nyahpepijat dicetak ke stdout dan stderr.

--gui-debug
    Jalankan GUI dengan konsol nyahpepijat, mengelog ke laluan yang dinyatakan. Untuk kegunaan dalaman sahaja, guna pilihan -g untuk jalankan GUI dalam mod nyahpepijat

--help, -h
    tunjuk mesej bantuan ini dan keluar

--implode-book, -i
    Ledakkan buku terledak sebelum ini. Penggunaan: -i output_dir file.epub Import buku dari fail dalam output_dir yang telah dihasilkan oleh perintah terdahulu --explode-book. Pastikan jenis fail yang sama dinyatakan.

--import-calibre-data
    Import data calibre diimport sebelum ini

--inspect-mobi, -m
    Periksa fail MOBI pada laluan yang dinyatakan

--paths
    Outputkan laluan yang perlu untuk pasang persekitaran calibre

--reinitialize-db
    Awalkan-semula pangkalan data calibre sqlite pada laluan yang dinyatakan. Berguna untuk pulih dari kerosakan db.

--run-plugin, -r
    Jalankan pemalam yang menyediakan antaramuka baris perintah. Contohnya calibre-debug -r "Add Books" -- file1 --option1 Segalanya selepas -- akan dilepasi ke pemalam sebagai argumen.

--shutdown-running-calibre, -s
    Menyebabkan calibre sedang dijalankan, jika ada, akan ditutup. Perhatian jika terdapat kerja berjalan, ia akan dihenti paksa secara senyap, oleh itu guna dengan hati-hati.

--subset-font, -f
    Subset fon yang dinyatakan. Guna -- selepas pilihan ini untuk melepaskan pilihan ke program subsetting fon.

--test-build
    Uji modul binari dalam binaan

--version
    tunjuk nombor versi program dan keluar

--viewer, -w
    Jalankan pelihat E-buku dalam mod nyahpepijat

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal